Skip to main content
GET
/
projects
/
{project_id}
/
removal_templates
/
{id}
Get Removal Template
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/removal_templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/removal_templates/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/removal_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "display_name": "<string>",
  "groups": [
    {
      "components": [
        {
          "blueprint_key": "<string>",
          "description": "<string>",
          "display_name": "<string>",
          "id": "rtc_1DAA58EDM1S0AMPN",
          "inputs": [
            {
              "datapoint_id": "dtp_1DVKHKS101S0Q61Q",
              "display_name": "<string>",
              "input_key": "<string>"
            }
          ],
          "removal_template_component_group_id": "rtg_1EGQ9DZXZ1S05S28",
          "removal_template_id": "rvt_1EVC8RZFE1S0BAT6"
        }
      ],
      "description": "<string>",
      "display_name": "<string>",
      "id": "rtg_1EGQ9DZXZ1S05S28",
      "key": "<string>"
    }
  ],
  "id": "rvt_1EVC8RZFE1S0BAT6",
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "supplier_reference_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

id
string
required
Required string length: 20 - 37
Examples:

"rvt_1EVC8RZFE1S0BAT6"

"rvt_1ECDZGE2DSBX88EX"

Response

Successful Response

display_name
string
required
groups
RemovalTemplateComponentGroup · object[]
required
id
string
required
Required string length: 20 - 37
Examples:

"rvt_1EVC8RZFE1S0BAT6"

"rvt_1ECDZGE2DSBX88EX"

project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200